CH_OPEN_CONNECTION(3)

FUNCTION
ch_open_connection - Open a connection to a Karma server.

SYNOPSIS
#include <karma_ch.h>

Channel ch_open_connection

(unsigned long host_addr, unsigned int port_number)

DESCRIPTION
This routine will open a full-duplex connection channel to a Karma server running on another host machine.

host_addr
    The Internet address of the host machine. If this is 0 the connection is made to a server running on the same machine using the most efficient transport available.

port_number
    The Karma port number to connect to. This should not be confused with Internet port numbers.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The use of this routine is not recommended, see the <-conn-> package for more powerful functionality.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/